btb-class |

# BetterListViewSubItem Members

BetterListViewSubItem overview

#### Public Instance Constructors

BetterListViewSubItem | Overloaded. Initializes a new instance of the BetterListViewSubItem class.

#### Public Instance Properties

AlignHorizontal | horizontal alignment of the sub-item text
AlignHorizontalImage | horizontal alignment of the sub-item image
AlignVertical | vertical alignment of the sub-item text
AlignVerticalImage | vertical alignment of the sub-item image
BackColor | background color of the sub-item
Bounds | Gets sub-item boundaries.
DisplayIndex | Gets of sets visual order of the sub-item with respect to visible column headers.
Font | font of the sub-item text
ForeColor | foreground color the sub-item text
HotkeyPrefix | Allow displaying hotkey prefix in sub-item text (underline after '&' character).
IsBold | draw the item bold
Item | the item containing this sub-item
Key | value used for sub-item comparison
ListView | BetterListView instance in which this sub-item is contained
MaximumTextLines | Maximum allowed number of lines in sub-item label. Supported in Details view only.
Text | Label of the sub-item.
TextTrimming | sub-item text trimming
TextWrapping | sub-item text wrapping behavior
ToolTips | information about ToolTips shown on this sub-item
Value | corresponding value specified by the ValueMember property of the column

#### Public Instance Methods

BeginEdit | Edit label of this sub-item.
Clone | Creates a new object that is a copy of the current instance.
CompareTo | Compares the current object with another object of the same type.
Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
EqualsContent | Check whether properties of this element equals properties of the specified element.
GetDisplayFont | Get font for display and measurement with respect to IsBold property.
Remove | Remove element from its owner collection.
ResetStyle | Set default style of this sub-item (font and colors).
ToString | Returns a String that represents the current Object.

#### Protected Instance Methods

CopyTo | Copy content of this instance to the specified BetterListViewElementBase instance.
GetAccessibilityInstance | Get accessible object instance for this sub-item.
GetObjectDataInternal | Populates a SerializationInfo with the data needed to serialize the target object.
ReadXmlInternal | Generates an object from its XML representation.
WriteXmlInternal | Converts an object into its XML representation.

#### See Also

BetterListViewSubItem Class | ComponentOwl.BetterThumbnailBrowser Namespace